4

I get the below error when I try to use grass processing from within QGIS. The error is given on all commands and I have got this error on 2 machines. I am using windows.

"This algorithm cannot be run :-( It seems that GRASS is not correctly installed and configured in your system. >Please install it before running GRASS algorithms."

I have tried downloading standalone GRASS 6.4.4 and changing the grass and mysys folder to that but no sucess.

Any help?

  • GRASS GIS 7 support needs to be enabled when compiling QGIS, so it will be a packaging issue. Any QGIS developer reading here? – markusN Apr 11 '16 at 12:58
2

I worked this out for windows installs.

Once osgeo4w is installed, re-run osgeo4w setup and select advanced install.

Select the modules GRASS 6, GRASS 7 and mysys are selected for keep or install.

Once installed, in QGIS > processing options > manage providers > set paths accordingly e.g. '\OSGeo4W64\apps\grass\grass6'

This was quite trivial in the end, but it had caused me some headaches as this was automatically configured in previous osgeo4w installations.

  • 1
    In previous versions, there was only one GRASS (6). With QGIS 2.14, you had the choice (and need) to select between GRASS (6) and GRASS7. From QGIS 2.16 on, you only will have GRASS7. But the processing toolbox still has both GRASS (6) commands and GRASS7 commands. Make sure to start the right ones. – AndreJ Aug 19 '16 at 10:34
  • 1
    Unfortunately, this does not work with QGIS 2.18 "Las Palmas". I keep having the same error as @BenP... – Irene May 10 '17 at 13:08

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.